package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.entity.store.LifeUserLearningVideo;

import java.io.IOException;

public interface LifeUserLearningVideoService extends IService<LifeUserLearningVideo> {

    /**
     * 新增学习视频
     */
    R<String> add(LifeUserLearningVideo lifeUserLearningVideo) throws IOException, InterruptedException;

    /**
     * 根据ID删除学习视频
     */
    R<String> deleteById(Integer id);

    /**
     * 更新学习视频
     */
    R<String> update(LifeUserLearningVideo lifeUserLearningVideo);

    /**
     * 根据ID查询学习视频
     */
    R<LifeUserLearningVideo> getInfoById(Integer id);

    /**
     * 分页查询学习视频列表
     */
    R<IPage<LifeUserLearningVideo>> list(Integer pageNum, Integer pageSize, String name);
}

